package cz.fi.muni.pa165.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.stereotype.Component;

@Component
public class DataInitializedListener implements ApplicationListener<ContextRefreshedEvent> {

    private final DataInitialization initializer;

    @Autowired
    public DataInitializedListener(DataInitialization initializer) {

        this.initializer = initializer;
    }


    @Override
    public void onApplicationEvent(ContextRefreshedEvent event) {
        if (event.getApplicationContext().getParent() == null) {
            // log.info("------ Data initialization begins ... ------");
            initializer.createMusicians();
            initializer.createBand();
            initializer.createSongs();
            initializer.createAlbum();
            initializer.createManager();
            initializer.createOffers();
            initializer.createActivity();

            // log.info("------ Data initialization finished. ------");

        }
    }
}
