package cz.fi.muni.pa165.entity.security;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Embeddable;
import javax.validation.constraints.NotBlank;

@Embeddable
@NoArgsConstructor
@AllArgsConstructor
@Getter
@Setter
public class UserReference {

    @NotBlank
    private String id;

    @NotBlank
    private String login;


    public static UserReference fromSystemUser(User systemUser) {
        UserReference reference = new UserReference();
        reference.setId(systemUser.getId());
        reference.setLogin(systemUser.getName());
        return reference;
    }

}
